Authentication
Authentication is based on API token sent in header. The token must be present in all requests to the API.
Section:
Group Authentication. Base URL:https://api.instance_name.meiro.io/.
Authentication is based on API token sent in header. The token must be present in all requests to the API.
Authentication Options [/auth_options]
Get authentication options [GET]
- Response 200 (application/json)
- Attributes (AuthOptions)
Login [/users/login]
Get access token [POST]
Access token expires after 8 hours.
-
Attributes (Login)
-
Request (application/json)
-
Response 200 (application/json)
- Attributes (Token)
-
Response 401 (application/json)
{
"message": "Invalid credentials have been provided"
}Refresh access token [PATCH]
Access token can be refreshed maximally 4 hours after it expires.
-
Attributes (Token)
-
Request (application/json)
-
Response 200 (application/json)
- Attributes (Token)
-
Response 401 (application/json)
{
"message": "Token is too old for refresh"
}Logout [DELETE]
Logouts users, deletes cookie
-
Request (application/json)
-
Response 200 (application/json)
OktaLogin [/users/okta_login]
Get access token [POST]
Performs the Okta login. Takes in the code from the Okta OAUTH response. Returns an access token which is passed along as a header with all future requests to authenticate the user.
-
Attributes (OktaLogin)
-
Request (application/json)
-
Response 200 (application/json)
- Attributes (Token)
-
Response 401 (application/json)
{
"message": "Invalid credentials have been provided"
}Invite [/users/invite]
User must provide auth token
Invite user [POST]
-
Attributes (Invitation)
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (User)
Invitation link [/users/{user_id}/invitation_link]
Retrieve invitation link [GET]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (Invitation link)
-
Response 404
Re-invite user [PATCH]
-
Attributes (Invitation)
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
- Attributes (User)
Password [/users/password]
Send forgot password email [POST]
-
Attributes (Forgot password)
-
Request (application/json)
-
Response 200 (application/json)
{
"message": "ok"
}Reset password [PATCH]
-
Attributes (Reset password)
-
Request (application/json)
-
Response 200 (application/json)
{
"message": "ok"
}